{% extends "account/base.html" %}
{% load i18n staticfiles %}
{% block head_title %}{% trans "Set Password" %} :: {{ block.super }}{% endblock %}

{% block content %}
  <div uk-grid>
    <div class="uk-width-1-1">
      <div class="uk-margin uk-text-center uk-flex uk-flex-center uk-flex-middle">
        <div class="uk-margin-auto uk-width-1-4@s uk-card uk-card-body">
          <form class="uk-form" method="post" action="{% url 'account_set_password' %}">{% csrf_token %}
            <div class="uk-flex uk-flex-center uk-flex-middle">
              <a href="/" class="spf-link">
                <canvas width="100" uk-svg="" src="{% static 'images/logos/svg/logo-150x150.svg' %}" style="color: #1e87f0" hidden="true"></canvas>
              </a>
            </div>

            <h5 class="uk-margin-small uk-heading-line uk-text-center">
              <span>{% trans "Set Password" %}</span>
            </h5>

            {% if form.non_field_errors %}
              {% if form.non_field_errors|length > 1 %}
                <ol class="uk-text-small uk-padding-small uk-margin-remove uk-text-left">
                  {% for error in form.non_field_errors %}
                    <li class="uk-text-warning">{{ error }}</li>
                  {% endfor %}
                </ol>
              {% else %}
                <div class="uk-text-small uk-text-warning">
                  {{ form.non_field_errors|first }}
                </div>
              {% endif %}
            {% endif %}

            <div class="uk-margin">
              <input class="uk-width-1-1 uk-input" name="password1" type="password" placeholder="{% trans 'Password Baru' %}" required>
              {% if form.password1.errors %}
                {% if form.password1.errors|length > 1 %}
                  <ol class="uk-text-small uk-padding-small uk-margin-remove uk-text-left">
                    {% for error in form.password1.errors %}
                      <li class="uk-text-warning">{{ error }}</li>
                    {% endfor %}
                  </ol>
                {% else %}
                  <div class="uk-text-small uk-text-left uk-text-warning">
                    {{ form.password1.errors|first }}
                  </div>
                {% endif %}
              {% endif %}
            </div>
            <div class="uk-margin">
              <input class="uk-width-1-1 uk-input" name="password2" type="password" placeholder="{% trans 'Password Baru (lagi)' %}" required>
              {% if form.password2.errors %}
                {% if form.password2.errors|length > 1 %}
                  <ol class="uk-text-small uk-padding-small uk-margin-remove uk-text-left">
                    {% for error in form.password2.errors %}
                      <li class="uk-text-warning">{{ error }}</li>
                    {% endfor %}
                  </ol>
                {% else %}
                  <div class="uk-text-small uk-text-left uk-text-warning">
                    {{ form.password2.errors|first }}
                  </div>
                {% endif %}
              {% endif %}
            </div>
            <div class="uk-margin">
              <button type="submit" class="uk-width-1-1 uk-button uk-button-danger">{% trans "Set Password" %}</button>
            </div>
          </form>
        </div>
      </div>
    </div>
  </div>
{% endblock %}
